heartbeat_client_free
heartbeat_client_new
heartbeat_client_start_service
heartbeat_client_t
heartbeat_error_t
heartbeat_receive
heartbeat_receive_with_timeout
heartbeat_send
HEARTBEAT_SERVICE_NAME

## heartbeat_receive_with_timeout()

LIBIMOBILEDEVICE_API heartbeat_error_t heartbeat_receive_with_timeout | ( | heartbeat_client_t | client,
|  | plist_t * | plist,
|  | uint32_t | timeout_ms )

Receives a plist using the given heartbeat client.

Parameters

  client | The heartbeat client to use for receiving
  plist | pointer to a plist_t that will point to the received plist upon successful return
  timeout_ms | Maximum time in milliseconds to wait for data.

Returns
  HEARTBEAT_E_SUCCESS on success, HEARTBEAT_E_INVALID_ARG when client or *plist is NULL, HEARTBEAT_E_NOT_ENOUGH_DATA when not enough data received, HEARTBEAT_E_TIMEOUT when the connection times out, HEARTBEAT_E_PLIST_ERROR when the received data cannot be converted to a plist, HEARTBEAT_E_MUX_ERROR when a communication error occurs, or HEARTBEAT_E_UNKNOWN_ERROR when an unspecified error occurs.